Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007511OCamltypingpublic2017-03-29 00:252017-06-22 11:23
Reporteryallop 
Assigned Todoligez 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.05.0 +dev/beta1/beta2/beta3/rc1 
Target Version4.05.0 +dev/beta1/beta2/beta3/rc1Fixed in Version4.05.0 +dev/beta1/beta2/beta3/rc1 
Summary0007511: Unboxed type with unboxed argument should not be accepted
Description  $ cat ub.ml
  type _ s = S : 'a -> 'a s [@@unboxed]
  type t = T : _ s -> t [@@unboxed]
  let _ = [| T (S 0.0); T (S 0) |]

  $ ocaml ub.ml
  Segmentation fault
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0017716)
doligez (administrator)
2017-04-03 17:33

see GPR#1133: https://github.com/ocaml/ocaml/pull/1133 [^]
(0017722)
chambart (developer)
2017-04-05 15:06

I would argue that the problematic type is 's' rather than 't' in this example.

It is the one that doesn't always have the same representation.
(0017726)
lpw25 (developer)
2017-04-06 12:19
edited on: 2017-04-06 14:56

I would argue the problematic type is 'float array'. :)

(0017729)
doligez (administrator)
2017-04-10 14:38

This is a bit more subtle than I thought, so I'm pushing the target version back to 4.05.0.
(0017939)
doligez (administrator)
2017-06-22 11:23

fixed by GPR#1133

- Issue History
Date Modified Username Field Change
2017-03-29 00:25 yallop New Issue
2017-03-31 17:08 doligez Assigned To => doligez
2017-03-31 17:08 doligez Status new => confirmed
2017-04-03 15:57 doligez Target Version => 4.04.1+dev
2017-04-03 17:33 doligez Note Added: 0017716
2017-04-05 15:06 chambart Note Added: 0017722
2017-04-06 12:19 lpw25 Note Added: 0017726
2017-04-06 14:56 lpw25 Note Edited: 0017726 View Revisions
2017-04-10 14:38 doligez Note Added: 0017729
2017-04-10 14:38 doligez Target Version 4.04.1+dev => 4.05.0 +dev/beta1/beta2/beta3/rc1
2017-04-14 17:06 doligez Status confirmed => assigned
2017-06-22 11:23 doligez Note Added: 0017939
2017-06-22 11:23 doligez Status assigned => resolved
2017-06-22 11:23 doligez Resolution open => fixed
2017-06-22 11:23 doligez Fixed in Version => 4.05.0 +dev/beta1/beta2/beta3/rc1


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker